Bug 171168 - powernow-k8 module will not unload without reboot
powernow-k8 module will not unload without reboot
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-10-18 20:23 EDT by Andrew J. Gristina
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-07 13:38:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew J. Gristina 2005-10-18 20:23:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
Fedora Core 3:

2.6.9 kernel will allow you to modprobe -r powernow-k8.  This allows you to stop the cpuspeed fluctuation without reboot.

after upgrade to 2.6.12-1.1378_FC3 cannot modprobe -r powernow-k8.  Can't stop cpuspeed without reboot.

Doesn't matter if cpuspeed service is stopped or started.

root@test:~$ modprobe -r powernow-k8
FATAL: Module powernow_k8 is in use.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Upgrade to 2.6.12-1.1378 kernel (smp or single proc) from 2.6.9
2. try to unload powernow-k8
3. get Fatal error. 


Actual Results:  root@test:~$ modprobe -r powernow-k8
FATAL: Module powernow_k8 is in use.

Expected Results:  unload the module and cpuspeed and processor speed fluctionation stop.

Additional info:
Comment 1 Dave Jones 2005-12-07 13:38:48 EST
you can stop cpuspeed fluctuation by running 'service cpuspeed stop'
Comment 2 Andrew J. Gristina 2005-12-07 14:12:26 EST
yes, but it doesn't actually stop until reboot on the AMD hardware I've tried.

Continue to monitor the cpuspeed and it will fluctuate as will powerdraw.

Comment 3 Andrew J. Gristina 2005-12-07 14:14:10 EST
I'll be trying FC5 on the same hardware soon, but as far as I can tell reboot or
unloading the powernow module is the only way to make the cpuspeed stop making
the cpu cycles and powerdraw fluctuate.
Comment 4 Dave Jones 2005-12-07 14:44:25 EST
it should stop instantly when you shutdown the cpuspeed module.

do you have the cpufreq_ondemand module loaded ? That's the only other thing
that will adjust CPU speed.

Note You need to log in before you can comment on or make changes to this bug.